import { ILogger } from "../types";

export class SentryLogger implements ILogger {
  // biome-ignore lint/complexity/noUselessConstructor: <explanation>
  constructor() {
    //Sentry.init({ dsn: process.env.SENTRY_DSN });
  }

  info(message: string, meta?: any) {
    console.log(`[INFO] ${message}`, meta);
  }

  warn(message: string, meta?: any) {
    console.warn(`[WARN] ${message}`, meta);
    //Sentry.captureMessage(message, "warning");
  }

  error(message: string, error?: any) {
    console.error(`[ERROR] ${message}`, error);
    //Sentry.captureException(error);
  }

  debug(message: string, meta?: any) {
    console.debug(`[DEBUG] ${message}`, meta);
    //Sentry.captureMessage(message, "debug");
  }
}

export const createSentryLogger = (): ILogger => new SentryLogger();
